genvalidity-property-1.0.0.0: Standard properties for functions on `Validity` types

Safe Haskell | None
Language | Haskell2010

Test.Validity.GenValidity.Property

Description

Tests for GenValidity instances

Synopsis

- genGeneratesValid :: (Show a, Validity a) => Gen a -> Property
- genGeneratesInvalid :: (Show a, Validity a) => Gen a -> Property

# Documentation

genGeneratesValid :: (Show a, Validity a) => Gen a -> Property Source #

The given generator generates only valid data points

genGeneratesInvalid :: (Show a, Validity a) => Gen a -> Property Source #

The given generator generates only invalid data points